<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: camamba_panel.php
| Author: douwe@schoonheidssalonanneke.nl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Members only panel

if (iMEMBER) {

function get_age($birth_date){
 return floor((time() - strtotime($birth_date))/31556926);
 }
// Set up Path for images
$image_root = $settings['siteurl'].INFUSIONS."camamba_panel/images/";

// Set up age
$myage = get_age($userdata['user_birthdate']);

// Set up Gender, userfield gender must be installed!
if ($userdata['user_gender']=='f') {
	$mygender = 'female';
	}elseif 
	($userdata['user_gender']=='m') {
	$mygender = 'male';
	} else {
	$mygender = 'notspecified';
	}
	
// Set up language for chatroom
$language='english';

// Set up your chatroom name (defaults to your domain name)
// If your site is e.g www.mysite.com, enter here the part whitout 'www' e.g. mysite.com
$setroom= str_replace(array('http://', 'www.'), array('', ''), $_SERVER['SERVER_NAME']);

// Set up background color of chatroom
// If you do not specify a chat background image, a color gradient will be used based on this color.
$backgroundColor='CAB895';

// Set up Font color of chatroom
// Change the default font color to something readable on your background image or color.
$fontColor='FE8585	' ;

// Set up Background image of chatroom
// This must be an URL pointing to an image on your server. 
// The image will be scaled to the current chat size, so gradients and patterns work better than actual pictures.
$bgImage = $image_root."/bgimage.jpg";

// Set up background image for webcam window
// An URL pointing to an image to be used as background for the cam video windows. Recommended size is 320x240.
$camImage = $image_root."camimage.jpg";

// Set up logo for chatroom
// An URL pointing to an image to be used as the logo in the corner of the cam video. Recommended width is 50px.
$logoImage = $image_root ."logoimage.gif";

openside('CAMAMBA Chatroom');
 ?>
<script type="text/javascript">
	
function openVideochat() {

	var roomid = "<?php echo $setroom;?>"; //window.location.hostname.replace(/www./, '');
	var user = "<?php echo $userdata['user_name']; ?>"; 
	var age = "<?php echo $myage; ?>"; 
	var gender= "<?php echo $mygender; ?>"; 
	
	user = user.replace(/[\<\>]/g, '');
	age = age.replace(/[\<\>]/g, '');
	gender = gender.replace(/[\<\>]/g, '');

	var form = document.createElement('form');
	form.setAttribute('method', 'post');
	form.setAttribute('action', 'http://www.camamba.com/webcam_window_v4e.php');
	form.setAttribute('target', 'CamambaExt');

	var fUser = document.createElement('input');
	fUser.setAttribute('type', 'hidden');
	fUser.setAttribute('name', 'user');
	fUser.setAttribute('value', user);
	form.appendChild(fUser);

	var fLang = document.createElement('input');
	fLang.setAttribute('type', 'hidden');
	fLang.setAttribute('name', 'lang');
	fLang.setAttribute('value', '<?php echo $language; ?>');
	form.appendChild(fLang);

	var fAge = document.createElement('input');
	fAge.setAttribute('type', 'hidden');
	fAge.setAttribute('name', 'setage');
	fAge.setAttribute('value', age);
	form.appendChild(fAge);

	var fGender = document.createElement('input');
	fGender.setAttribute('type', 'hidden');
	fGender.setAttribute('name', 'setgender');
	fGender.setAttribute('value',  gender);
	form.appendChild(fGender);

	var fRoom = document.createElement('input');
	fRoom.setAttribute('type', 'hidden');
	fRoom.setAttribute('name', 'setroom');
	fRoom.setAttribute('value', roomid);
	form.appendChild(fRoom);


	var fBgColor = document.createElement('input');
	fBgColor.setAttribute('type', 'hidden');
	fBgColor.setAttribute('name', 'themeBackground');
	fBgColor.setAttribute('value', '<?php echo $backgroundColor; ?>');
	form.appendChild(fBgColor);


	var fFontColor = document.createElement('input');
	fFontColor.setAttribute('type', 'hidden');
	fFontColor.setAttribute('name', 'fontColor');
	fFontColor.setAttribute('value', '<?php echo $fontColor; ?>');
	form.appendChild(fFontColor);

	var fBgImg = document.createElement('input');
	fBgImg.setAttribute('type', 'hidden');
	fBgImg.setAttribute('name', 'bgImage');
	fBgImg.setAttribute('value', '<?php echo $bgImage; ?>');
	form.appendChild(fBgImg);

	var fCam = document.createElement('input');
	fCam.setAttribute('type', 'hidden');
	fCam.setAttribute('name', 'camImage');
	fCam.setAttribute('value', '<?php echo $camImage; ?>');
	form.appendChild(fCam);

	var fLogo = document.createElement('input');
	fLogo.setAttribute('type', 'hidden');
	fLogo.setAttribute('name', 'logoImage');
	fLogo.setAttribute('value', '<?php echo $logoImage; ?>');
	form.appendChild(fLogo);
                
	document.body.appendChild(form);

	var h = screen.height - 100;
	var w = screen.width - 20;
	camwindow = window.open('', 'CamambaExt','resizable,width='+w+',height='+h);

	form.submit();

	camwindow.focus();
}
</script>	
    <div style='text-align: center;' id="login-form">
        <div style="padding-bottom: 5px;">
	    <input class="button" onClick=javascript:openVideochat() type='button' value='<?php echo "enter"; ?>' style='width: 160px;'>
    </div>
	</div>
<?php
closeside();
} // end members only section
?>
